apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: loca7-ingress
  namespace: loca7
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
    nginx.ingress.kubernetes.io/proxy-body-size: 100m
    nginx.org/client-max-body-size: 100m # see https://stackoverflow.com/a/67923692
    nginx.ingress.kubernetes.io/proxy-buffer-size: 100m
    nginx.ingress.kubernetes.io/proxy-buffering: "on"
    nginx.ingress.kubernetes.io/proxy-buffers-number: "4"
    nginx.ingress.kubernetes.io/proxy-max-temp-file-size: 1024m
    nginx.ingress.kubernetes.io/enable-cors: "true"
    nginx.ingress.kubernetes.io/cors-allow-methods: GET
spec:
  rules:
    - host: loca7.fr
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: loca7-service
                port:
                  number: 80

  tls:
    - hosts:
        - loca7.fr
      secretName: loca7-tls
